> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mixpanel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Feature Flags



## OpenAPI

````yaml openapi/feature-flags-management.openapi.yaml GET /projects/{project_id}/workspaces/{workspace_id}/feature-flags
openapi: 3.1.0
info:
  title: Feature Flags Management API
  description: >-
    Use the Feature Flags Management API to create, update, delete, and manage
    feature flags.
  contact:
    url: https://mixpanel.com/get-support
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: 1.0.0
servers:
  - url: https://{regionAndDomain}.com/api/app
    description: Mixpanel's application API server.
    variables:
      regionAndDomain:
        default: mixpanel
        enum:
          - mixpanel
          - eu.mixpanel
          - in.mixpanel
        description: |
          The server location to be used:
            * `mixpanel` - The default (US) servers used for most projects
            * `eu.mixpanel` - EU servers if you are enrolled in EU Data Residency
            * `in.mixpanel` - India servers if you are enrolled in India Data Residency
security:
  - ServiceAccount: []
tags:
  - name: Flag Management
    description: Create, update, delete, and manage feature flags
paths:
  /projects/{project_id}/workspaces/{workspace_id}/feature-flags:
    parameters:
      - $ref: '#/components/parameters/ProjectId'
      - $ref: '#/components/parameters/WorkspaceId'
    get:
      tags:
        - Flag Management
      summary: List Feature Flags
      operationId: list-feature-flags
      parameters:
        - name: include_archived
          in: query
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
          description: >-
            Whether to include archived (soft-deleted) feature flags. Defaults
            to false.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListFeatureFlagResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Details about the error that occurred
                  status:
                    type: string
                    enum:
                      - error
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Details about the error that occurred
                  status:
                    type: string
                    enum:
                      - error
components:
  parameters:
    ProjectId:
      name: project_id
      in: path
      schema:
        type: integer
      required: true
    WorkspaceId:
      name: workspace_id
      in: path
      schema:
        type: integer
      required: true
  schemas:
    ListFeatureFlagResponse:
      anyOf:
        - $ref: '#/components/schemas/ListFeatureFlagApiResponse'
        - $ref: '#/components/schemas/ManagementApiErrorResponse'
    ListFeatureFlagApiResponse:
      additionalProperties: false
      properties:
        status:
          title: ''
          type: string
        results:
          items:
            $ref: '#/components/schemas/FeatureFlagApiResponse'
          title: ''
          type: array
      required:
        - status
        - results
      title: ListFeatureFlagApiResponse
      type: object
    ManagementApiErrorResponse:
      additionalProperties: false
      properties:
        status:
          const: error
          title: ''
          type: string
        type:
          title: ''
          type: string
        error:
          title: ''
          anyOf:
            - type: string
            - type: object
      required:
        - status
        - type
        - error
      title: ManagementApiErrorResponse
      type: object
    FeatureFlagApiResponse:
      additionalProperties: false
      properties:
        can_update_basic:
          default: false
          title: ''
          type: boolean
        is_superadmin:
          default: false
          title: ''
          type: boolean
        allow_staff_override:
          default: false
          title: ''
          type: boolean
        can_view:
          default: false
          title: ''
          type: boolean
        can_share:
          default: false
          title: ''
          type: boolean
        can_pin:
          default: false
          title: ''
          type: boolean
        is_shared_with_project:
          default: false
          title: ''
          type: boolean
        name:
          maxLength: 255
          minLength: 1
          title: ''
          type: string
        key:
          maxLength: 255
          minLength: 1
          title: ''
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: ''
        tags:
          items:
            type: string
          title: ''
          type: array
        experiment_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          default: null
          title: ''
        status:
          $ref: '#/components/schemas/FeatureFlagStatus'
          default: disabled
        context:
          maxLength: 255
          minLength: 1
          title: ''
          type: string
        data_group_id:
          anyOf:
            - type: string
            - type: integer
            - type: 'null'
          default: null
          title: ''
        serving_method:
          $ref: '#/components/schemas/ServingMethod'
        ruleset:
          $ref: '#/components/schemas/ManagementRuleSet'
        workspace_id:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          title: ''
        is_experiment_active:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          title: ''
        hash_salt:
          anyOf:
            - maxLength: 32
              minLength: 32
              type: string
            - type: 'null'
          default: null
          title: ''
        reset_hash_salt:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          title: ''
        id:
          format: uuid4
          title: ''
          type: string
        project_id:
          title: ''
          type: integer
        content_type:
          const: feature-flags
          title: ''
          type: string
        created:
          format: date-time
          title: ''
          type: string
        creator_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: ''
        creator_name:
          anyOf:
            - type: string
            - type: 'null'
          title: ''
        creator_email:
          anyOf:
            - type: string
            - type: 'null'
          title: ''
        modified:
          format: date-time
          title: ''
          type: string
        last_modified_by_id:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          title: ''
        last_modified_by_name:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: ''
        last_modified_by_email:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: ''
        is_favorited:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          title: ''
        pinned_date:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: ''
        enabled_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          default: null
          title: ''
        deleted:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          default: null
          title: ''
        content_environments_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: ''
        project_name:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: ''
      required:
        - name
        - key
        - tags
        - context
        - serving_method
        - ruleset
        - id
        - project_id
        - content_type
        - created
        - creator_id
        - creator_name
        - creator_email
        - modified
      title: FeatureFlagApiResponse
      type: object
    FeatureFlagStatus:
      enum:
        - enabled
        - disabled
        - archived
      title: FeatureFlagStatus
      type: string
    ServingMethod:
      enum:
        - client
        - server
        - remote_or_local
        - remote_only
      title: ServingMethod
      type: string
    ManagementRuleSet:
      additionalProperties: false
      properties:
        variants:
          items:
            $ref: '#/components/schemas/ManagementVariant'
          maxItems: 11
          title: ''
          type: array
        rollout:
          items:
            $ref: '#/components/schemas/ManagementRollout'
          title: ''
          type: array
        test:
          anyOf:
            - additionalProperties:
                additionalProperties:
                  type: string
                type: object
              type: object
            - type: 'null'
          default: null
          title: ''
      required:
        - variants
        - rollout
      title: ManagementRuleSet
      type: object
    ManagementVariant:
      additionalProperties: false
      properties:
        key:
          title: ''
          type: string
        value:
          anyOf:
            - type: boolean
            - maxLength: 32768
              type: string
            - {}
          title: ''
        description:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: ''
        is_control:
          title: ''
          type: boolean
        split:
          maximum: 1
          minimum: 0
          title: ''
          type: number
        is_sticky:
          default: false
          title: ''
          type: boolean
      required:
        - key
        - value
        - is_control
        - split
      title: ManagementVariant
      type: object
    ManagementRollout:
      additionalProperties: false
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: ''
        cohort_definition:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: ''
        runtime_evaluation_definition:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: ''
        runtime_evaluation_rule:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          default: null
          title: ''
        runtime_event_rule:
          anyOf:
            - $ref: '#/components/schemas/RuntimeEventRule'
            - type: 'null'
          default: null
          title: ''
        cohort_hash:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: ''
        rollout_percentage:
          maximum: 1
          minimum: 0
          title: ''
          type: number
        variant_override:
          anyOf:
            - $ref: '#/components/schemas/ManagementVariantOverride'
            - type: 'null'
          default: null
          title: ''
        variant_splits:
          additionalProperties:
            type: number
          title: ''
          type: object
      required:
        - rollout_percentage
        - variant_splits
      title: ManagementRollout
      type: object
    RuntimeEventRule:
      additionalProperties: false
      description: Configuration for first-time event targeting in rollout groups.
      properties:
        event_name:
          title: ''
          type: string
        time_window:
          $ref: '#/components/schemas/RuntimeEventTimeWindow'
        duration:
          anyOf:
            - $ref: '#/components/schemas/FirstTimeEventDuration'
            - type: 'null'
          default: null
          title: ''
        property_filters:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          default: null
          title: ''
      required:
        - event_name
        - time_window
      title: RuntimeEventRule
      type: object
    ManagementVariantOverride:
      additionalProperties: false
      description: A pointer to the variant defined under ruleset.variants[<key>]
      properties:
        key:
          title: ''
          type: string
      required:
        - key
      title: ManagementVariantOverride
      type: object
    RuntimeEventTimeWindow:
      enum:
        - while_flag_enabled
      title: RuntimeEventTimeWindow
      type: string
    FirstTimeEventDuration:
      enum:
        - end_of_session
        - indefinitely
      title: FirstTimeEventDuration
      type: string
  securitySchemes:
    ServiceAccount:
      type: http
      scheme: basic
      description: Service Account

````